%{?build_python3}%{?!build_python3:%bcond_without python3}

%define oname pycairo

Summary:	A python wrapper for the Cairo libraries
Name:		python-cairo
Version:	1.16.1
Release:	1
License:	LGPLv2+
Group:		Development/Python
Url:		https://github.com/pygobject/pycairo
Source0:	https://github.com/pygobject/pycairo/releases/download/v%{version}/%{oname}-%{version}.tar.gz
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(python)
BuildRequires:	pythonegg(setuptools)

%description
A set of Python bindings for the cairo graphics library.

%files
%{py_platsitedir}/cairo
%{py_platsitedir}/%{oname}-%{version}-py%{python2_version}.egg-info

#----------------------------------------------------------------------------

%package devel
Summary:	Development files for %{name}
Group:		Development/Python
Requires:	%{name} = %{EVRD}
Provides:	%{oname}-devel = %{EVRD}

%description devel
Development files for %{name}.

%files devel
%{_includedir}/pycairo/pycairo.h
%{_libdir}/pkgconfig/pycairo.pc

#----------------------------------------------------------------------------

%if %{with python3}
%package -n python3-cairo
Summary:	A python wrapper for the Cairo libraries
Group:		Development/Python
Provides:	py3cairo = %{EVRD}
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3egg(setuptools)

%description -n python3-cairo
A set of Python3 bindings for the cairo graphics library.

%files -n python3-cairo
%{py3_platsitedir}/cairo
%{py3_platsitedir}/%{oname}-%{version}-py%{python3_version}.egg-info
%endif

#----------------------------------------------------------------------------

%if %{with python3}
%package -n python3-cairo-devel
Summary:	Development files for python3-cairo
Group:		Development/Python
Requires:	python3-cairo = %{EVRD}

%description -n python3-cairo-devel
Development files for python3-cairo.

%files -n python3-cairo-devel
%{_includedir}/pycairo/py3cairo.h
%{_libdir}/pkgconfig/py3cairo.pc
%endif

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd

%py2_build

%install
pushd %{py3dir}
%py3_install
popd

%py2_install


%changelog

* Thu Feb 08 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.16.1-1
- (e1196d7) New version 1.16.1
- (e1196d7) New homepage
- (e1196d7) New build system


